---
metadata:
  - name: generator
    content: Diplodoc Platform v5.54.2
alternate:
  - https://yandex.ru/dev/kit/ru/openapi/Zakazy/GetOrders.md
  - href: ru/openapi/Zakazy/GetOrders.md
    type: text/markdown
    title: Markdown version
  - href: ../../llms.txt
    type: text/markdown
    title: llms.txt
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.ru/dev/kit/ru/llms.txt

<div class="openapi">

# Получение списка заказов

<!-- markdownlint-disable-file -->

Возвращает список заказов магазина с пагинацией и поиском.

## Request

<div class="openapi__requests">

<div class="openapi__request__wrapper" style="--method: var(--dc-openapi-methods-get);margin-bottom: 12px">

<div class="openapi__request">

GET {.openapi__method}
```text translate=no
https://api.kit.yandex.net/v1/orders
```

</div>

</div>

</div>

### Query parameters

#|
|| **Name** | **Description** ||
||

_page_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: integer

Номер страницы

_Default:_{.json-schema-reset .json-schema-value} `1`

_Min value:_{.json-schema-reset .json-schema-assertion} `1`
{.table-cell}
||
||

_per_page_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: integer

Количество элементов на странице.

_Default:_{.json-schema-reset .json-schema-value} `25`

_Min value:_{.json-schema-reset .json-schema-assertion} `1`

_Max value:_{.json-schema-reset .json-schema-assertion} `100`
{.table-cell}
||
|#{.json-schema-properties}

## Responses

<div class="openapi__response__code__200">

## 200 OK

Список заказов.

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "orders": [
    {
      "id": "019b56d1-5ef0-7ed2-a155-7110d25ca5ce",
      "order_number": 1234567,
      "created_at": "2020-01-01T00:00:00Z",
      "status": "NEW",
      "client": {
        "last_name": "Иванов",
        "first_name": "Иван",
        "patronymic": "Иванович",
        "phone": "+79991234567",
        "email": "user@example.com",
        "is_notify": true
      },
      "payment": {
        "method": "CARD_ONLINE",
        "status": "PAYMENT_PENDING_OR_UNPAID"
      },
      "delivery_chunks": [
        {
          "id": 0,
          "items": [
            null
          ],
          "delivery_info": {},
          "total_price": "1200.00",
          "total_final_price": "1100.00",
          "purchased_price": "1100.00"
        }
      ],
      "total_price": "1200.00",
      "total_final_price": "1200.00",
      "purchased_price": "example",
      "acquiring_id": "019b56d1-89a5-7a78-849f-4e8b174d0c77",
      "acquiring_type": "CLOUD_PAY",
      "promocode": {
        "code": "HELLO5",
        "discount": "1200.00"
      },
      "gift_card_discount": "0.00",
      "gift_card_id": "019b56d1-a80d-7afe-a2ae-09047912f03e"
    }
  ],
  "total_count": 100
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_orders_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [Order](#entity-Order)[]

Список заказов.

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "id": "019b56d1-5ef0-7ed2-a155-7110d25ca5ce",
    "order_number": 1234567,
    "created_at": "2020-01-01T00:00:00Z",
    "status": "NEW",
    "client": {
      "last_name": "Иванов",
      "first_name": "Иван",
      "patronymic": "Иванович",
      "phone": "+79991234567",
      "email": "user@example.com",
      "is_notify": true
    },
    "payment": {
      "method": "CARD_ONLINE",
      "status": "PAYMENT_PENDING_OR_UNPAID"
    },
    "delivery_chunks": [
      {
        "id": 0,
        "items": [
          {}
        ],
        "delivery_info": {
          "delivered_at": "2025-01-01T00:00:00Z",
          "method": "COURIER",
          "raw_status": "example",
          "human_status": "example",
          "address": {},
          "interval": {},
          "courier_interval": null,
          "pickup_point_interval": null,
          "seller_costs": "1200.00",
          "customer_costs": "1200.00",
          "tracking_number": "example",
          "tracking_url": "example",
          "delivery_notes": "example",
          "courier_delivery_service_type": "YANDEX_DELIVERY",
          "pickup_point_delivery_service_type": null,
          "warehouse_id": "019b21d9-c5d9-777d-80bd-d67c664bc6d9"
        },
        "total_price": "1200.00",
        "total_final_price": "1100.00",
        "purchased_price": "1100.00"
      }
    ],
    "total_price": "1200.00",
    "total_final_price": "1200.00",
    "purchased_price": "example",
    "acquiring_id": "019b56d1-89a5-7a78-849f-4e8b174d0c77",
    "acquiring_type": "CLOUD_PAY",
    "promocode": {
      "code": "HELLO5",
      "discount": "1200.00"
    },
    "gift_card_discount": "0.00",
    "gift_card_id": "019b56d1-a80d-7afe-a2ae-09047912f03e"
  }
]
```

{% endcut %}
{.table-cell}
||
||

_total_count_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer

Общее количество заказов.
{.table-cell}
||
|#{.json-schema-properties}

</div>

<div class="openapi-entity">

### OrderID {#entity-OrderID}

Идентификатор заказа.

**Type**: string&lt;uuid&gt;

_Example:_{.json-schema-reset .json-schema-example} `019b56d1-5ef0-7ed2-a155-7110d25ca5ce`

</div>

<div class="openapi-entity">

### OrderStatus {#entity-OrderStatus}

Статус заказа:
- `NEW` — новый заказ.
- `PENDING_PAYMENT` — ожидает оплаты.
- `ORDER_PLACED` — заказ оформлен.
- `WAIT_FOR_CONFIRMATION` — ожидает подтверждения продавцом.
- `CREATING_INITIAL_RECEIPT` — создание чека.
- `SETUP_DELIVERY` — настройка доставки.
- `WAIT_FOR_DELIVERY` — ожидает доставки.
- `CANCELLATION_IN_PROGRESS` — отмена в процессе.
- `DELIVERY_CANCELLED` — доставка отменена.
- `FULL_REFUND` — полный возврат.
- `PARTIAL_REFUND` — частичный возврат.
- `CREATING_FINAL_RECEIPTS` — создание финальных чеков.
- `DELIVERED` — доставлен.
- `CANCELLED` — отменен.
- `COMPLETED` — завершен.


**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `NEW`, `PENDING_PAYMENT`, `ORDER_PLACED`, `WAIT_FOR_CONFIRMATION`, `CREATING_INITIAL_RECEIPT`, `SETUP_DELIVERY`, `WAIT_FOR_DELIVERY`, `CANCELLATION_IN_PROGRESS`, `DELIVERY_CANCELLED`, `FULL_REFUND`, `PARTIAL_REFUND`, `CREATING_FINAL_RECEIPTS`, `DELIVERED`, `CANCELLED`, `COMPLETED`

</div>

<div class="openapi-entity">

### OrderClientInfo {#entity-OrderClientInfo}

#|
|| **Name** | **Description** ||
||

_is_notify_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: boolean

Нужно ли уведомлять клиента о статусах заказа.
{.table-cell}
||
||

_email_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string&lt;email&gt;

Email клиента.

_Example:_{.json-schema-reset .json-schema-example} `user@example.com`
{.table-cell}
||
||

_first_name_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Имя клиента.

_Example:_{.json-schema-reset .json-schema-example} `Иван`
{.table-cell}
||
||

_last_name_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Фамилия клиента.

_Example:_{.json-schema-reset .json-schema-example} `Иванов`
{.table-cell}
||
||

_patronymic_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Отчество клиента.

_Example:_{.json-schema-reset .json-schema-example} `Иванович`
{.table-cell}
||
||

_phone_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Телефон клиента.

_Example:_{.json-schema-reset .json-schema-example} `+79991234567`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "last_name": "Иванов",
  "first_name": "Иван",
  "patronymic": "Иванович",
  "phone": "+79991234567",
  "email": "user@example.com",
  "is_notify": true
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### PaymentMethod {#entity-PaymentMethod}

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `CARD_ONLINE`, `CARD_ON_DELIVERY`, `CASH_ON_DELIVERY`

</div>

<div class="openapi-entity">

### PaymentStatus {#entity-PaymentStatus}

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `PAYMENT_PENDING_OR_UNPAID`, `PAYMENT_PAID`, `PAYMENT_REFUNDED`, `PAYMENT_FINALLY_PAID`

</div>

<div class="openapi-entity">

### OrderPaymentInfo {#entity-OrderPaymentInfo}

#|
|| **Name** | **Description** ||
||

_method_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [PaymentMethod](#entity-PaymentMethod)

_Enum:_{.json-schema-reset .json-schema-value} `CARD_ONLINE`, `CARD_ON_DELIVERY`, `CASH_ON_DELIVERY`
{.table-cell}
||
||

_status_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [PaymentStatus](#entity-PaymentStatus)

_Enum:_{.json-schema-reset .json-schema-value} `PAYMENT_PENDING_OR_UNPAID`, `PAYMENT_PAID`, `PAYMENT_REFUNDED`, `PAYMENT_FINALLY_PAID`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "method": "CARD_ONLINE",
  "status": "PAYMENT_PENDING_OR_UNPAID"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### OrderItem {#entity-OrderItem}

Товар в заказе.

#|
|| **Name** | **Description** ||
||

_final_price_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string&lt;decimal&gt;

Итоговая цена товара за единицу после всех скидок.

_Example:_{.json-schema-reset .json-schema-example} `1100.00`
{.table-cell}
||
||

_gift_card_discount_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string&lt;decimal&gt;

Скидка по подарочной карте.

_Example:_{.json-schema-reset .json-schema-example} `0.00`
{.table-cell}
||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string&lt;uuid&gt;

Уникальный идентификатор позиции в заказе.

_Example:_{.json-schema-reset .json-schema-example} `00000000-0000-0000-0000-000000000001`
{.table-cell}
||
||

_is_product_variant_deleted_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: boolean

Является ли товар на данный момент удаленным.
{.table-cell}
||
||

_loyalty_discount_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string&lt;decimal&gt;

Скидка по программе лояльности.

_Example:_{.json-schema-reset .json-schema-example} `0.00`
{.table-cell}
||
||

_price_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string&lt;decimal&gt;

Цена товара за единицу до скидок.

_Example:_{.json-schema-reset .json-schema-example} `1200.00`
{.table-cell}
||
||

_product_variant_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string&lt;uuid&gt;

Идентификатор товара.

_Example:_{.json-schema-reset .json-schema-example} `00000000-0000-0000-0000-000000000001`
{.table-cell}
||
||

_promocode_discount_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string&lt;decimal&gt;

Скидка по промокоду.

_Example:_{.json-schema-reset .json-schema-example} `100.00`
{.table-cell}
||
||

_quantity_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer

Количество товара.
{.table-cell}
||
||

_vat_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer

НДС в процентах. Специальное значение -1 означает, что товар не облагается НДС.
{.table-cell}
||
||

_refused_count_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: integer

Количество отказов по данной позиции.
{.table-cell}
||
||

_truthful_label_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Код маркировки «Честный знак» этой позиции без криптохвоста.
Поле отсутствует, если код для позиции не записан.
Записать или снять код — `POST /v1/orders/{id}/marking-codes`.

_Example:_{.json-schema-reset .json-schema-example} `0104670147122765215Fx_t42mlIYny`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "00000000-0000-0000-0000-000000000001",
  "product_variant_id": "00000000-0000-0000-0000-000000000001",
  "is_product_variant_deleted": false,
  "quantity": 2,
  "price": "1200.00",
  "final_price": "1100.00",
  "vat": 20,
  "truthful_label": "0104670147122765215Fx_t42mlIYny",
  "refused_count": 0,
  "loyalty_discount": "0.00",
  "promocode_discount": "100.00",
  "gift_card_discount": "0.00"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### DeliveryMethod {#entity-DeliveryMethod}

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `COURIER`, `POSTAL_SERVICE`, `PICKUP_POINT`, `SELF_PICK_UP`

</div>

<div class="openapi-entity">

### WarehouseID {#entity-WarehouseID}

Идентификатор склада.

**Type**: string&lt;uuid&gt;

_Example:_{.json-schema-reset .json-schema-example} `019b21d9-c5d9-777d-80bd-d67c664bc6d9`

</div>

<div class="openapi-entity">

### OrderAddressInfo {#entity-OrderAddressInfo}

#|
|| **Name** | **Description** ||
||

_appartment_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_courier_address_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_courier_locality_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_entrance_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_floor_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_intercom_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_pickup_point_address_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_pickup_point_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_pickup_point_locality_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_self_pick_up_address_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_self_pick_up_locality_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_self_pick_up_warehouse_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [WarehouseID](#entity-WarehouseID)

Идентификатор склада.

_Example:_{.json-schema-reset .json-schema-example} `019b21d9-c5d9-777d-80bd-d67c664bc6d9`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "pickup_point_id": "example",
  "courier_locality": "example",
  "courier_address": "example",
  "pickup_point_locality": "example",
  "pickup_point_address": "example",
  "self_pick_up_warehouse_id": "019b21d9-c5d9-777d-80bd-d67c664bc6d9",
  "self_pick_up_locality": "example",
  "self_pick_up_address": "example",
  "floor": "example",
  "appartment": "example",
  "entrance": "example",
  "intercom": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### TimeInterval {#entity-TimeInterval}

#|
|| **Name** | **Description** ||
||

_from_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string&lt;date-time&gt;

_Example:_{.json-schema-reset .json-schema-example} `2020-01-01T00:00:00Z`
{.table-cell}
||
||

_to_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string&lt;date-time&gt;

_Example:_{.json-schema-reset .json-schema-example} `2020-01-01T00:00:00Z`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "from": "2020-01-01T00:00:00Z",
  "to": "2020-01-01T00:00:00Z"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### DeliveryServiceType {#entity-DeliveryServiceType}

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `YANDEX_DELIVERY`, `CDEK`, `META_SHIP_DALLI`, `META_SHIP_RUSSIAN_POST`, `OZON`, `MERCHANT_SHIP`

</div>

<div class="openapi-entity">

### OrderDeliveryInfo {#entity-OrderDeliveryInfo}

Информация о доставке заказа.

#|
|| **Name** | **Description** ||
||

_address_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [OrderAddressInfo](#entity-OrderAddressInfo)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "pickup_point_id": "example",
  "courier_locality": "example",
  "courier_address": "example",
  "pickup_point_locality": "example",
  "pickup_point_address": "example",
  "self_pick_up_warehouse_id": "019b21d9-c5d9-777d-80bd-d67c664bc6d9",
  "self_pick_up_locality": "example",
  "self_pick_up_address": "example",
  "floor": "example",
  "appartment": "example",
  "entrance": "example",
  "intercom": "example"
}
```

{% endcut %}
{.table-cell}
||
||

_human_status_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Человекочитаемый статус доставки.

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_raw_status_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Статус доставки от службы доставки.

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_courier_delivery_service_type_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [DeliveryServiceType](#entity-DeliveryServiceType)

_Enum:_{.json-schema-reset .json-schema-value} `YANDEX_DELIVERY`, `CDEK`, `META_SHIP_DALLI`, `META_SHIP_RUSSIAN_POST`, `OZON`, `MERCHANT_SHIP`
{.table-cell}
||
||

_courier_interval_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [TimeInterval](#entity-TimeInterval)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "from": "2020-01-01T00:00:00Z",
  "to": "2020-01-01T00:00:00Z"
}
```

{% endcut %}
{.table-cell}
||
||

_customer_costs_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string&lt;decimal&gt;

Стоимость доставки для покупателя.

_Example:_{.json-schema-reset .json-schema-example} `1200.00`
{.table-cell}
||
||

_delivered_at_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string&lt;date-time&gt;

Дата и время доставки.

_Example:_{.json-schema-reset .json-schema-example} `2025-01-01T00:00:00Z`
{.table-cell}
||
||

_delivery_notes_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Комментарий к доставке.

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_interval_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [TimeInterval](#entity-TimeInterval)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "from": "2020-01-01T00:00:00Z",
  "to": "2020-01-01T00:00:00Z"
}
```

{% endcut %}
{.table-cell}
||
||

_method_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [DeliveryMethod](#entity-DeliveryMethod)

_Enum:_{.json-schema-reset .json-schema-value} `COURIER`, `POSTAL_SERVICE`, `PICKUP_POINT`, `SELF_PICK_UP`
{.table-cell}
||
||

_pickup_point_delivery_service_type_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [DeliveryServiceType](#entity-DeliveryServiceType)

_Enum:_{.json-schema-reset .json-schema-value} `YANDEX_DELIVERY`, `CDEK`, `META_SHIP_DALLI`, `META_SHIP_RUSSIAN_POST`, `OZON`, `MERCHANT_SHIP`
{.table-cell}
||
||

_pickup_point_interval_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [TimeInterval](#entity-TimeInterval)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "from": "2020-01-01T00:00:00Z",
  "to": "2020-01-01T00:00:00Z"
}
```

{% endcut %}
{.table-cell}
||
||

_seller_costs_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string&lt;decimal&gt;

Стоимость доставки для продавца.

_Example:_{.json-schema-reset .json-schema-example} `1200.00`
{.table-cell}
||
||

_tracking_number_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Трек-номер отправления.

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_tracking_url_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Ссылка для отслеживания отправления.

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_warehouse_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [WarehouseID](#entity-WarehouseID)

Идентификатор склада.

_Example:_{.json-schema-reset .json-schema-example} `019b21d9-c5d9-777d-80bd-d67c664bc6d9`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "delivered_at": "2025-01-01T00:00:00Z",
  "method": "COURIER",
  "raw_status": "example",
  "human_status": "example",
  "address": {
    "pickup_point_id": "example",
    "courier_locality": "example",
    "courier_address": "example",
    "pickup_point_locality": "example",
    "pickup_point_address": "example",
    "self_pick_up_warehouse_id": "019b21d9-c5d9-777d-80bd-d67c664bc6d9",
    "self_pick_up_locality": "example",
    "self_pick_up_address": "example",
    "floor": "example",
    "appartment": "example",
    "entrance": "example",
    "intercom": "example"
  },
  "interval": {
    "from": "2020-01-01T00:00:00Z",
    "to": "2020-01-01T00:00:00Z"
  },
  "courier_interval": null,
  "pickup_point_interval": null,
  "seller_costs": "1200.00",
  "customer_costs": "1200.00",
  "tracking_number": "example",
  "tracking_url": "example",
  "delivery_notes": "example",
  "courier_delivery_service_type": "YANDEX_DELIVERY",
  "pickup_point_delivery_service_type": null,
  "warehouse_id": null
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### OrderDeliveryChunk {#entity-OrderDeliveryChunk}

Часть заказа, отправляемая с одного склада.

#|
|| **Name** | **Description** ||
||

_delivery_info_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [OrderDeliveryInfo](#entity-OrderDeliveryInfo)

Информация о доставке заказа.

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "delivered_at": "2025-01-01T00:00:00Z",
  "method": "COURIER",
  "raw_status": "example",
  "human_status": "example",
  "address": {
    "pickup_point_id": "example",
    "courier_locality": "example",
    "courier_address": "example",
    "pickup_point_locality": "example",
    "pickup_point_address": "example",
    "self_pick_up_warehouse_id": "019b21d9-c5d9-777d-80bd-d67c664bc6d9",
    "self_pick_up_locality": "example",
    "self_pick_up_address": "example",
    "floor": "example",
    "appartment": "example",
    "entrance": "example",
    "intercom": "example"
  },
  "interval": {
    "from": "2020-01-01T00:00:00Z",
    "to": "2020-01-01T00:00:00Z"
  },
  "courier_interval": null,
  "pickup_point_interval": null,
  "seller_costs": "1200.00",
  "customer_costs": "1200.00",
  "tracking_number": "example",
  "tracking_url": "example",
  "delivery_notes": "example",
  "courier_delivery_service_type": "YANDEX_DELIVERY",
  "pickup_point_delivery_service_type": null,
  "warehouse_id": null
}
```

{% endcut %}
{.table-cell}
||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer

Идентификатор чанка внутри заказа.
{.table-cell}
||
||

_items_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [OrderItem](#entity-OrderItem)[]

Товары в данной части заказа.

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "id": "00000000-0000-0000-0000-000000000001",
    "product_variant_id": "00000000-0000-0000-0000-000000000001",
    "is_product_variant_deleted": false,
    "quantity": 2,
    "price": "1200.00",
    "final_price": "1100.00",
    "vat": 20,
    "truthful_label": "0104670147122765215Fx_t42mlIYny",
    "refused_count": 0,
    "loyalty_discount": "0.00",
    "promocode_discount": "100.00",
    "gift_card_discount": "0.00"
  }
]
```

{% endcut %}
{.table-cell}
||
||

_purchased_price_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string&lt;decimal&gt;

Итоговая стоимость после возвратов.

_Example:_{.json-schema-reset .json-schema-example} `1100.00`
{.table-cell}
||
||

_total_final_price_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string&lt;decimal&gt;

Итоговая стоимость товаров в чанке после всех скидок.

_Example:_{.json-schema-reset .json-schema-example} `1100.00`
{.table-cell}
||
||

_total_price_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string&lt;decimal&gt;

Стоимость товаров в чанке до скидок.

_Example:_{.json-schema-reset .json-schema-example} `1200.00`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": 0,
  "items": [
    {
      "id": "00000000-0000-0000-0000-000000000001",
      "product_variant_id": "00000000-0000-0000-0000-000000000001",
      "is_product_variant_deleted": false,
      "quantity": 2,
      "price": "1200.00",
      "final_price": "1100.00",
      "vat": 20,
      "truthful_label": "0104670147122765215Fx_t42mlIYny",
      "refused_count": 0,
      "loyalty_discount": "0.00",
      "promocode_discount": "100.00",
      "gift_card_discount": "0.00"
    }
  ],
  "delivery_info": {
    "delivered_at": "2025-01-01T00:00:00Z",
    "method": "COURIER",
    "raw_status": "example",
    "human_status": "example",
    "address": {
      "pickup_point_id": "example",
      "courier_locality": "example",
      "courier_address": "example",
      "pickup_point_locality": "example",
      "pickup_point_address": "example",
      "self_pick_up_warehouse_id": "019b21d9-c5d9-777d-80bd-d67c664bc6d9",
      "self_pick_up_locality": "example",
      "self_pick_up_address": "example",
      "floor": "example",
      "appartment": "example",
      "entrance": "example",
      "intercom": "example"
    },
    "interval": {
      "from": "2020-01-01T00:00:00Z",
      "to": "2020-01-01T00:00:00Z"
    },
    "courier_interval": null,
    "pickup_point_interval": null,
    "seller_costs": "1200.00",
    "customer_costs": "1200.00",
    "tracking_number": "example",
    "tracking_url": "example",
    "delivery_notes": "example",
    "courier_delivery_service_type": "YANDEX_DELIVERY",
    "pickup_point_delivery_service_type": null,
    "warehouse_id": null
  },
  "total_price": "1200.00",
  "total_final_price": "1100.00",
  "purchased_price": "1100.00"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### AcquiringType {#entity-AcquiringType}

Тип платежной системы.

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `CLOUD_PAY`, `YANDEX_PAY`

</div>

<div class="openapi-entity">

### OrderPromocodeInfo {#entity-OrderPromocodeInfo}

Информация о примененном промокоде.

#|
|| **Name** | **Description** ||
||

_code_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Код промокода.

_Example:_{.json-schema-reset .json-schema-example} `HELLO5`
{.table-cell}
||
||

_discount_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string&lt;decimal&gt;

Сумма скидки по промокоду.

_Example:_{.json-schema-reset .json-schema-example} `1200.00`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "code": "HELLO5",
  "discount": "1200.00"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### Order {#entity-Order}

Заказ.

#|
|| **Name** | **Description** ||
||

_client_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [OrderClientInfo](#entity-OrderClientInfo)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "last_name": "Иванов",
  "first_name": "Иван",
  "patronymic": "Иванович",
  "phone": "+79991234567",
  "email": "user@example.com",
  "is_notify": true
}
```

{% endcut %}
{.table-cell}
||
||

_created_at_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string&lt;date-time&gt;

Дата и время создания заказа.

_Example:_{.json-schema-reset .json-schema-example} `2020-01-01T00:00:00Z`
{.table-cell}
||
||

_delivery_chunks_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [OrderDeliveryChunk](#entity-OrderDeliveryChunk)[]

Части заказа с информацией о доставке. Каждый чанк содержит товары, отправляемые с одного склада.

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "id": 0,
    "items": [
      {
        "id": "00000000-0000-0000-0000-000000000001",
        "product_variant_id": "00000000-0000-0000-0000-000000000001",
        "is_product_variant_deleted": false,
        "quantity": 2,
        "price": "1200.00",
        "final_price": "1100.00",
        "vat": 20,
        "truthful_label": "0104670147122765215Fx_t42mlIYny",
        "refused_count": 0,
        "loyalty_discount": "0.00",
        "promocode_discount": "100.00",
        "gift_card_discount": "0.00"
      }
    ],
    "delivery_info": {
      "delivered_at": "2025-01-01T00:00:00Z",
      "method": "COURIER",
      "raw_status": "example",
      "human_status": "example",
      "address": {
        "pickup_point_id": "example",
        "courier_locality": "example",
        "courier_address": "example",
        "pickup_point_locality": "example",
        "pickup_point_address": "example",
        "self_pick_up_warehouse_id": "019b21d9-c5d9-777d-80bd-d67c664bc6d9",
        "self_pick_up_locality": "example",
        "self_pick_up_address": "example",
        "floor": "example",
        "appartment": "example",
        "entrance": "example",
        "intercom": "example"
      },
      "interval": {
        "from": "2020-01-01T00:00:00Z",
        "to": "2020-01-01T00:00:00Z"
      },
      "courier_interval": null,
      "pickup_point_interval": null,
      "seller_costs": "1200.00",
      "customer_costs": "1200.00",
      "tracking_number": "example",
      "tracking_url": "example",
      "delivery_notes": "example",
      "courier_delivery_service_type": "YANDEX_DELIVERY",
      "pickup_point_delivery_service_type": null,
      "warehouse_id": null
    },
    "total_price": "1200.00",
    "total_final_price": "1100.00",
    "purchased_price": "1100.00"
  }
]
```

{% endcut %}
{.table-cell}
||
||

_gift_card_discount_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string&lt;decimal&gt;

Скидка по подарочной карте.

_Example:_{.json-schema-reset .json-schema-example} `0.00`
{.table-cell}
||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [OrderID](#entity-OrderID)

Идентификатор заказа.

_Example:_{.json-schema-reset .json-schema-example} `019b56d1-5ef0-7ed2-a155-7110d25ca5ce`
{.table-cell}
||
||

_order_number_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer

Номер заказа, отображаемый покупателю.
{.table-cell}
||
||

_purchased_price_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string&lt;decimal&gt;

Итоговая стоимость после возвратов.

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_status_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [OrderStatus](#entity-OrderStatus)

Статус заказа:
- `NEW` — новый заказ.
- `PENDING_PAYMENT` — ожидает оплаты.
- `ORDER_PLACED` — заказ оформлен.
- `WAIT_FOR_CONFIRMATION` — ожидает подтверждения продавцом.
- `CREATING_INITIAL_RECEIPT` — создание чека.
- `SETUP_DELIVERY` — настройка доставки.
- `WAIT_FOR_DELIVERY` — ожидает доставки.
- `CANCELLATION_IN_PROGRESS` — отмена в процессе.
- `DELIVERY_CANCELLED` — доставка отменена.
- `FULL_REFUND` — полный возврат.
- `PARTIAL_REFUND` — частичный возврат.
- `CREATING_FINAL_RECEIPTS` — создание финальных чеков.
- `DELIVERED` — доставлен.
- `CANCELLED` — отменен.
- `COMPLETED` — завершен.


_Enum:_{.json-schema-reset .json-schema-value} `NEW`, `PENDING_PAYMENT`, `ORDER_PLACED`, `WAIT_FOR_CONFIRMATION`, `CREATING_INITIAL_RECEIPT`, `SETUP_DELIVERY`, `WAIT_FOR_DELIVERY`, `CANCELLATION_IN_PROGRESS`, `DELIVERY_CANCELLED`, `FULL_REFUND`, `PARTIAL_REFUND`, `CREATING_FINAL_RECEIPTS`, `DELIVERED`, `CANCELLED`, `COMPLETED`
{.table-cell}
||
||

_total_final_price_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string&lt;decimal&gt;

Итоговая стоимость заказа после всех скидок.

_Example:_{.json-schema-reset .json-schema-example} `1200.00`
{.table-cell}
||
||

_total_price_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string&lt;decimal&gt;

Общая стоимость заказа до скидок.

_Example:_{.json-schema-reset .json-schema-example} `1200.00`
{.table-cell}
||
||

_acquiring_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Идентификатор платежа в эквайринге.

_Example:_{.json-schema-reset .json-schema-example} `019b56d1-89a5-7a78-849f-4e8b174d0c77`
{.table-cell}
||
||

_acquiring_type_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [AcquiringType](#entity-AcquiringType)

Тип платежной системы.

_Enum:_{.json-schema-reset .json-schema-value} `CLOUD_PAY`, `YANDEX_PAY`
{.table-cell}
||
||

_gift_card_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string&lt;uuid&gt;

Идентификатор использованной подарочной карты.

_Example:_{.json-schema-reset .json-schema-example} `019b56d1-a80d-7afe-a2ae-09047912f03e`
{.table-cell}
||
||

_payment_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [OrderPaymentInfo](#entity-OrderPaymentInfo)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "method": "CARD_ONLINE",
  "status": "PAYMENT_PENDING_OR_UNPAID"
}
```

{% endcut %}
{.table-cell}
||
||

_promocode_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [OrderPromocodeInfo](#entity-OrderPromocodeInfo)

Информация о примененном промокоде.

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "code": "HELLO5",
  "discount": "1200.00"
}
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "019b56d1-5ef0-7ed2-a155-7110d25ca5ce",
  "order_number": 1234567,
  "created_at": "2020-01-01T00:00:00Z",
  "status": "NEW",
  "client": {
    "last_name": "Иванов",
    "first_name": "Иван",
    "patronymic": "Иванович",
    "phone": "+79991234567",
    "email": "user@example.com",
    "is_notify": true
  },
  "payment": {
    "method": "CARD_ONLINE",
    "status": "PAYMENT_PENDING_OR_UNPAID"
  },
  "delivery_chunks": [
    {
      "id": 0,
      "items": [
        {
          "id": "00000000-0000-0000-0000-000000000001",
          "product_variant_id": "00000000-0000-0000-0000-000000000001",
          "is_product_variant_deleted": false,
          "quantity": 2,
          "price": "1200.00",
          "final_price": "1100.00",
          "vat": 20,
          "truthful_label": "0104670147122765215Fx_t42mlIYny",
          "refused_count": 0,
          "loyalty_discount": "0.00",
          "promocode_discount": "100.00",
          "gift_card_discount": "0.00"
        }
      ],
      "delivery_info": {
        "delivered_at": "2025-01-01T00:00:00Z",
        "method": "COURIER",
        "raw_status": "example",
        "human_status": "example",
        "address": {
          "pickup_point_id": "example",
          "courier_locality": "example",
          "courier_address": "example",
          "pickup_point_locality": "example",
          "pickup_point_address": "example",
          "self_pick_up_warehouse_id": "019b21d9-c5d9-777d-80bd-d67c664bc6d9",
          "self_pick_up_locality": "example",
          "self_pick_up_address": "example",
          "floor": "example",
          "appartment": "example",
          "entrance": "example",
          "intercom": "example"
        },
        "interval": {
          "from": "2020-01-01T00:00:00Z",
          "to": "2020-01-01T00:00:00Z"
        },
        "courier_interval": null,
        "pickup_point_interval": null,
        "seller_costs": "1200.00",
        "customer_costs": "1200.00",
        "tracking_number": "example",
        "tracking_url": "example",
        "delivery_notes": "example",
        "courier_delivery_service_type": "YANDEX_DELIVERY",
        "pickup_point_delivery_service_type": null,
        "warehouse_id": null
      },
      "total_price": "1200.00",
      "total_final_price": "1100.00",
      "purchased_price": "1100.00"
    }
  ],
  "total_price": "1200.00",
  "total_final_price": "1200.00",
  "purchased_price": "example",
  "acquiring_id": "019b56d1-89a5-7a78-849f-4e8b174d0c77",
  "acquiring_type": "CLOUD_PAY",
  "promocode": {
    "code": "HELLO5",
    "discount": "1200.00"
  },
  "gift_card_discount": "0.00",
  "gift_card_id": "019b56d1-a80d-7afe-a2ae-09047912f03e"
}
```

{% endcut %}

</div>

</div>

<div class="openapi__response__code__400">

## 400 Bad Request

Некорректный запрос.

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "code": "VALIDATION_ERROR",
  "message": "Invalid input",
  "trace_id": "00000000000000000000000000000000"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_code_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `VALIDATION_ERROR`
{.table-cell}
||
||

_message_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `Invalid input`
{.table-cell}
||
||

_trace_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Уникальный идентификатор запроса для отладки.

_Example:_{.json-schema-reset .json-schema-example} `00000000000000000000000000000000`
{.table-cell}
||
|#{.json-schema-properties}

</div>

</div>

<div class="openapi__response__code__401">

## 401 Unauthorized

Не авторизован.

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "code": "VALIDATION_ERROR",
  "message": "Invalid input",
  "trace_id": "00000000000000000000000000000000"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_code_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `VALIDATION_ERROR`
{.table-cell}
||
||

_message_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `Invalid input`
{.table-cell}
||
||

_trace_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Уникальный идентификатор запроса для отладки.

_Example:_{.json-schema-reset .json-schema-example} `00000000000000000000000000000000`
{.table-cell}
||
|#{.json-schema-properties}

</div>

</div>

<div class="openapi__response__code__500">

## 500 Internal Server Error

Внутренняя ошибка сервера.

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "code": "VALIDATION_ERROR",
  "message": "Invalid input",
  "trace_id": "00000000000000000000000000000000"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_code_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `VALIDATION_ERROR`
{.table-cell}
||
||

_message_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `Invalid input`
{.table-cell}
||
||

_trace_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Уникальный идентификатор запроса для отладки.

_Example:_{.json-schema-reset .json-schema-example} `00000000000000000000000000000000`
{.table-cell}
||
|#{.json-schema-properties}

</div>

</div>

</div>

[*Deprecated]: No longer supported, please use an alternative and newer version.